<?php

/** @var \Ims\ShopHelper\Models\OrderHelper $formModel */
/** @var \Ims\ShopHelper\Models\OrderHelper $obOrder */
/** @var \Lovata\OrdersShopaholic\Classes\PromoMechanism\TotalPriceContainerLog $obPriceLogData */
if(!isset($obOrder) && isset($formModel)) {
    $obOrder = $formModel;
}

$sFieldName = $field->fieldName;
if ($sFieldName == 'discount_log_position_total_price') {
    $obPriceData = $obOrder->position_total_price_data;
} elseif ($sFieldName == 'discount_log_shipping_price') {
    $obPriceData = $obOrder->shipping_price_data;
} else {
    $obPriceData = $obOrder->total_price_data;
}

$arPriceLog = $obPriceData->log;
?>

<?php if(!empty($arPriceLog)) {?>
    <div class="control-list">
        <table class="table data">
            <thead>
            <tr>
                <th><span><?= trans('lovata.toolbox::lang.field.type') ?></span></th>
                <th colspan="2"><span><?= trans('lovata.toolbox::lang.field.description') ?></span></th>
                <th><span><?= trans('lovata.shopaholic::lang.field.old_price') ?></span></th>
                <th><span><?= trans('lovata.ordersshopaholic::lang.field.price_change_value') ?></span></th>
                <th><span><?= trans('lovata.shopaholic::lang.field.price') ?></span></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($arPriceLog as $obPriceLogData) {?>
                <?php $obMechanism = $obPriceLogData->mechanism ?>
                <tr>
                    <td><?= !empty($obMechanism) ? $obMechanism::getName() : trans('lovata.ordersshopaholic::lang.message.without_condition') ?></td>
                    <td><?= $obMechanism->getRelatedDescription() ?></td>
                    <td>
                        <?php if ($obPriceLogData->old_price_without_tax_value != $obPriceLogData->old_price_with_tax_value) {?>
                            <?= trans('lovata.shopaholic::lang.field.without_tax'); ?>:<br>
                            <?= trans('lovata.shopaholic::lang.field.tax'); ?>:<br>
                            <?= trans('lovata.shopaholic::lang.field.with_tax'); ?>:
                        <?php } ?>
                    </td>
                    <td>
                        <span>
                            <?php if ($obPriceLogData->old_price_without_tax_value != $obPriceLogData->old_price_with_tax_value) {?>
                                <strong><?= $obPriceLogData->old_price_without_tax ?></strong><br>
                                <strong><?= $obPriceLogData->tax_old_price ?></strong><br>
                                <strong><?= $obPriceLogData->old_price_with_tax ?></strong>
                            <?php } else { ?>
                                <strong><?= $obPriceLogData->old_price ?></strong>
                            <?php } ?>
                        </span>
                    </td>
                    <td>
                        <span class="text-<?= $obMechanism->getIncreaseFlag() ? 'success' : 'danger'; ?>">
                            <?php if (!empty($obMechanism)) {?>
                            <strong>
                                <?= $obMechanism->getIncreaseFlag() ? '+' : '-'; ?><?= $obMechanism->getDiscountValue() ?><?=  $obMechanism->getDiscountType() == \Lovata\OrdersShopaholic\Models\PromoMechanism::PERCENT_TYPE ? '%' : '' ?>
                            </strong>
                            <?php }?>
                        </span>
                        =
                        <span class="text-<?= $obMechanism->getIncreaseFlag() ? 'success' : 'danger'; ?>">
                              <?php if ($obMechanism->getIncreaseFlag()) {?>
                                <?php if ($obPriceLogData->increase_price_without_tax_value != $obPriceLogData->increase_price_with_tax_value) {?>
                                  <strong><?= $obPriceLogData->increase_price_without_tax ?></strong><br>
                                  <strong><?= $obPriceLogData->tax_increase_price ?></strong><br>
                                  <strong><?= $obPriceLogData->increase_price_with_tax ?></strong>
                                <?php } else { ?>
                                  <strong><?= $obPriceLogData->increase_price ?></strong>
                                <?php }  ?>
                              <?php } else { ?>
                                  <?php if ($obPriceLogData->discount_price_without_tax_value != $obPriceLogData->discount_price_with_tax_value) {?>
                                  <strong><?= $obPriceLogData->discount_price_without_tax ?></strong><br>
                                  <strong><?= $obPriceLogData->tax_discount_price ?></strong><br>
                                  <strong><?= $obPriceLogData->discount_price_with_tax ?></strong>
                                  <?php } else { ?>
                                  <strong><?= $obPriceLogData->discount_price ?></strong>
                                  <?php }  ?>
                              <?php } ?>
                        </span>
                    </td>
                    <td>
                        <span class="text-success">
                            <?php if ($obPriceLogData->price_without_tax_value != $obPriceLogData->price_with_tax_value) {?>
                                <strong><?= $obPriceLogData->price_without_tax ?></strong><br>
                                <strong><?= $obPriceLogData->tax_price ?></strong><br>
                                <strong><?= $obPriceLogData->price_with_tax ?></strong>
                            <?php } else { ?>
                                <strong><?= $obPriceLogData->price ?></strong>
                            <?php } ?>
                        </span>
                    </td>
                </tr>
            <?php }?>
            </tbody>
        </table>
    </div>
<?php } else { ?>
    <div class="callout fade in callout-info no-subheader">
        <div class="header">
            <i class="icon-info"></i>
            <h3><?= trans('lovata.ordersshopaholic::lang.message.discount_not_applied') ?></h3>
        </div>
    </div>
<?php }?>
